#!/usr/bin/python
# coding: utf-8
# +-------------------------------------------------------------------
# | 宝塔Linux面板
# editor: mufei(ypdh@qq.com tel:15712150708)
'''
牧飞 _ __ ___   ___   ___  / _| ___(_)
| '_ ` _ \ / _ \ / _ \| |_ / _ \ |
| | | | | | (_) | (_) |  _|  __/ |
|_| |_| |_|\___/ \___/|_|  \___|_|
'''
#+--------------------------------------------------------------------
#|   宝塔第三方应用开发 mfwaf
#+--------------------------------------------------------------------

#本代码使用GPL协议，解释权归牧飞(ypdh@qq.com)所有。

#本插件需要在/www/server/nginx/conf/nginx.conf配置文件中添加 include mfngxwaf.conf 或者
#python_include /www/server/nginx/mfwaf/mfwaf.py;
#python_access "access(r)";
#此两行信息才会有效！

__all__ = ['access']


import warnings
warnings.filterwarnings("ignore")

import sys, os
wafpath = '/www/server/nginx/mfwaf' #
sys.path.append(wafpath)

py = list(sys.version_info)
try:
    if py[0]==2 and os.path.isfile(wafpath+'/util27.so'):
        from util27 import access
    elif py[1]==6 and os.path.isfile(wafpath+'/util36.so'):
        from util36 import access
    elif py[1]==7 and os.path.isfile(wafpath+'/util37.so'):
        from util37 import access
    elif py[1]==8 and os.path.isfile(wafpath+'/util38.so'):
        from util38 import access
    else:
        from util import access
except:
    from util import access


    


  
