#!/usr/bin/python
# coding: utf-8
# +-------------------------------------------------------------------
# | 宝塔Linux面板
# editor: mufei(ypdh@qq.com tel:15712150708)
'''
牧飞 _ __ ___   ___   ___  / _| ___(_)
| '_ ` _ \ / _ \ / _ \| |_ / _ \ |
| | | | | | (_) | (_) |  _|  __/ |
|_| |_| |_|\___/ \___/|_|  \___|_|
'''
#+--------------------------------------------------------------------
#|   宝塔第三方应用开发 mfngxwaf
#+---

import os
import re
import sys
import time
import shutil
import subprocess
import traceback


#添加包引用位置并引用公共包
sys.path.append("/www/server/panel/class/")
import public
import sqlite3


installPth = "/www/server/panel/install"
nginxsh = os.path.join(installPth, "nginx.sh")
wfwafsh = os.path.join(installPth, "mfngxwaf.sh")

def addToTask():
    "添加到消息队列"
    conn = sqlite3.connect("/www/server/panel/data/default.db")
    cur = conn.cursor()
    execstr = "python2 /www/server/panel/plugin/mfngxwaf/install.py"
    sql = "insert into tasks(id,name,type,status,addtime,execstr)values(?,?,?,?,?,?)"
    cur.execute(sql, [None,'install[mfngxwaf-1.6]','execshell','0',time.strftime('%Y-%m-%d %H:%M:%S'),execstr])
    conn.commit()
    cur.close()
    conn.close()
            
    isTask = '/tmp/panelTask.pl'
    public.writeFile(isTask,'True')

if '--task' in sys.argv:
    addToTask()
    sys.exit(0)


if not os.path.isdir('/www/server/panel/plugin/mfngxwaf'):
    if os.path.isfile('mfngxwaf.1.6.11.zip'):
        os.popen('unzip -o mfngxwaf.1.6.11.zip -d /www/server/panel/plugin').read()
    else:
        os.popen('wget http://www.mufei.ltd/download/mfngxwaf.1.6.11.zip && unzip -o mfngxwaf.1.6.11.zip -d /www/server/panel/plugin').read()
    os.popen('cd /www/server/panel/plugin/mfngxwaf && unzip -o nginx-python-module.zip && unzip -o conf.zip && unzip -o wondershaper-master.zip').read()
    os.popen('cd /www/server/panel/plugin/mfngxwaf/wondershaper-master && make && make install').read()
    
curdir = os.path.abspath(os.path.dirname(__file__))
if '/' in curdir and 'mfngxwaf' not in curdir:
    try:
        os.remove(curdir+'/install.py')
    except:
        print('remove mfngxwaf-install.py')


isyum = '/yum' in os.popen('whereis yum').read()

def init_gcc():
    py = list(sys.version_info)
    if py[0]==3 and 'python2.7' not in os.popen('whereis python2').read():
        print(os.popen('sudo dnf install python2').read())
        print(os.popen('pip2 install gevent flask_session').read())
        print(os.popen('pip2 install -r /www/server/panel/requirements.txt').read())

    gcctestInfo ="""
#include <stdio.h>
#include <Python.h>
int main()
{
    puts("C");
    return 0;
}
    """.strip().replace('\r\n','\n')
    gcctestPth = "/www/server/panel/plugin/mfngxwaf/gcctest.c"
    open(gcctestPth,'w').write(gcctestInfo)

    #export C_INCLUDE_PATH=$C_INCLUDE_PATH:/usr/include/python2.7/
    #-I/usr/include/python2.7 
    s0 = os.popen('gcc -c -pipe  -O -W -Wall -Wpointer-arith -Wno-unused-parameter -g  %s >/www/server/panel/plugin/mfngxwaf/tmp 2>&1 &'%gcctestPth).read()
    time.sleep(0.5)
    s = s0 or open('/www/server/panel/plugin/mfngxwaf/tmp').read()
    if '<Python.h>' in s:
        print(os.popen('sudo yum -y install python2-dev').read())
        print(os.popen('sudo yum -y install python2-devel').read())
        print(os.popen('sudo yum -y install python2-devel.x86_64').read())
        if '/usr/bin/python2.7-config' in os.popen('whereis python').read():
            pyngxCfg = '/www/server/panel/plugin/mfngxwaf/nginx-python-module/config'
            with open(pyngxCfg,'r') as f:
                fs = f.read().replace('${PYTHON_CONFIG:-python-config}', '${PYTHON_CONFIG:-python2.7-config}')
            with open(pyngxCfg,'w') as f:
                f.write(fs)
    print(s)


init_gcc()
    
ispip = '/pip2' in os.popen('whereis pip').read()
if not ispip:
    os.popen('wget https://bootstrap.pypa.io/get-pip.py && python2 get-pip.py').read()
    os.popen('pip2 install python-config').read()
    os.popen('pip2 install pillow').read()
    os.popen('pip2 install -r /www/server/panel/requirements.txt').read()
    

print(os.popen('pip install pyinotify').read())
print(os.popen('pip2 install IPy').read())
if isyum:
    print(os.popen('yum install -y ipset').read())
    print(os.popen('yum install -y ipset-service && systemctl enable ipset').read())
else:
    print(os.popen('apt-get install -y ipset').read())
    if '/ipset' not in os.popen('whereis ipset').read():
        os.popen('apt-get -y install ipset libipset-dev').read()
        os.popen('apt-get -y install autoconf automake libtool libmnl-dev').read()
        os.popen('apt-get -y install linux-kernel-headers kernel-package').read()
        
        if '/libmnl' not in os.popen('whereis libmnl').read():
            print(os.popen('curl http://www.mufei.ltd/mfngxwaf/install_libmnl.sh|bash').read())
        print(os.popen('curl http://www.mufei.ltd/mfngxwaf/install_ipset.sh|bash').read())

if 'mfwaf404' not in  os.popen('iptables -L INPUT').read():       
    print(os.popen('ipset create mfwaf404 hash:net timeout 300').read())
    print(os.popen('ipset save').read())
    print(os.popen('iptables -I INPUT -m set --match-set mfwaf404 src -j DROP').read())

for tmp in ('/www/server/panel/plugin/mfngxwaf/wafnet37.so',
            '/www/server/panel/plugin/mfngxwaf/wafnet.py',
            '/www/server/panel/plugin/mfngxwaf/util.py',
            '/www/server/nginx/mfwaf/util.py',
            '/www/server/nginx/mfwaf/wafnet.py',
            '/www/server/nginx/mfwaf/util37.so',
            ):
    if os.path.isfile(tmp):
        os.remove(tmp)
    if tmp[-3:]=='.py':
        _tmp = tmp+'c'
        if os.path.isfile(_tmp):
            os.remove(_tmp)
    

def copy2(src, dst, check=0):
    if check: #源文件不存在处理
        if not os.path.isfile(src): return
    if check==2:  #目标文件已存在处理
        if os.path.exists(dst): return
    shutil.copy(src, dst)
    os.popen('chmod 744 '+dst)

def wget_py_ngx():
    url  = 'https://codeload.github.com/arut/nginx-python-module/zip/master'
    zip = '/www/server/nginx/nginx-python-module.zip'
    print(os.popen('wget %s -O %s'%(url,zip)).read())
    print(os.popen('unzip -o %s -d /www/server/nginx'%zip).read())
    if os.path.isdir('/www/server/nginx/nginx-python-module-master'):
        shutil.move("/www/server/nginx/nginx-python-module-master","/www/server/nginx/nginx-python-module")
        
pluginPth="/www/server/panel/plugin/mfngxwaf"

def copyHTML():
    src = os.path.join(pluginPth, 'html')
    dst = "/www/server/nginx/mfwaf/html"
    try:
        shutil.copytree(src, dst)
    except:
        shutil.rmtree(dst)
        shutil.copytree(src, dst)
        
    os.popen('chmod -R 744 '+dst)
    os.popen('mkdir -p /www/server/nginx/mfwaf/valids')
    
    os.popen('chown -R www.www '+"/www/server/nginx/mfwaf")
    
    
    
def init_conf():
    pluginCfgPth = os.path.join(pluginPth, 'conf')
    #检测mfwaf配置文件是否完整，mfngxwaf.py使用最新版本
    wafngxPath = "/www/server/nginx/mfwaf"
    if not os.path.isdir(wafngxPath):os.makedirs(wafngxPath)
    os.popen('chown www.www '+wafngxPath)
    if not os.path.isdir(wafngxPath+'/conf'): os.mkdir(wafngxPath+'/conf')
    os.popen('chown www.www '+wafngxPath+'/conf')
    
    for t in ('captcha.txt','ipblacks.txt','ipwhites.txt','ipcdns.txt','ipzhizhu.txt','uriblacks.txt','uablacks.txt'):
        pth = os.path.join(wafngxPath, 'conf', t)
        if t == 'captcha.txt' or not os.path.isfile(pth):
            src = os.path.join(pluginCfgPth, '_'+t)
            copy2(src, pth)
            
    src = os.path.join(pluginPth, "mfngxwaf.py") #复制mfwaf【如同lua】的py文件到nginx的配置环境
    copy2(src, "/www/server/nginx/mfwaf/mfngxwaf.py")
    
    copy2('/www/server/panel/plugin/mfngxwaf/mfwaf.py', "/www/server/nginx/mfwaf/mfwaf.py")
    
    copy2('/www/server/panel/plugin/mfngxwaf/util.so', "/www/server/nginx/mfwaf/util.so", check=1)
    copy2('/www/server/panel/plugin/mfngxwaf/util27.so', "/www/server/nginx/mfwaf/util27.so", check=1)
    copy2('/www/server/panel/plugin/mfngxwaf/util36.so', "/www/server/nginx/mfwaf/util36.so", check=1)
    copy2('/www/server/panel/plugin/mfngxwaf/util37.so', "/www/server/nginx/mfwaf/util37.so", check=1)
    copy2('/www/server/panel/plugin/mfngxwaf/util38.so', "/www/server/nginx/mfwaf/util38.so", check=1)
    if os.path.isfile('/www/server/panel/plugin/mfngxwaf/util.py'):
        os.remove('/www/server/panel/plugin/mfngxwaf/util.py')
    if os.path.isfile('/www/server/panel/plugin/mfngxwaf/wafnet.py'):
        os.remove('/www/server/panel/plugin/mfngxwaf/wafnet.py')
        
    copy2('/www/server/panel/plugin/mfngxwaf/bt-2.ttf', "/www/server/nginx/mfwaf/bt-2.ttf")
    copy2('/www/server/panel/plugin/mfngxwaf/_util.py', "/www/server/nginx/mfwaf/_util.py")
    copy2('/www/server/panel/plugin/mfngxwaf/banip.txt', "/www/server/nginx/mfwaf/conf/banip.txt")
    
    copy2('/www/server/panel/plugin/mfngxwaf/vilidate.py', "/www/server/nginx/mfwaf/vilidate.py")
    copy2('/www/server/panel/plugin/mfngxwaf/ipcheck.py', "/www/server/nginx/mfwaf/ipcheck.py")
    copy2('/www/server/panel/plugin/mfngxwaf/delegated-apnic-latest.txt', "/www/server/nginx/mfwaf/delegated-apnic-latest.txt")

    copy2('/www/server/panel/plugin/mfngxwaf/qqwry2.py', "/www/server/nginx/mfwaf/qqwry2.py")
    copy2('/www/server/panel/plugin/mfngxwaf/qqwry.dat', "/www/server/nginx/mfwaf/qqwry.dat", check=1)
    
    copy2('/www/server/panel/plugin/mfngxwaf/mfwaf.cfg.default.json', "/www/server/nginx/mfwaf/config.json")
    
    if os.path.isdir("/www/server/nginx/conf"):
        copy2('/www/server/panel/plugin/mfngxwaf/mfngxwaf.conf', "/www/server/nginx/conf/mfngxwaf.conf")
        copy2('/www/server/panel/plugin/mfngxwaf/captcha.png', "/www/server/nginx/mfwaf/conf/captcha.png")

    copyHTML()

    

#创建/www/server/panel/install/mfngxwaf.sh(nginx.sh的修改版)
#目的是添加nginx-python-module模块信息到nginx.sh文件修改版nginx.sh中
if os.path.isfile('/www/server/nginx/sbin/nginx'): 
    if os.path.isfile(nginxsh):
        with open(nginxsh) as f:  #兼容python install.py 安装
            installTxt = f.read()
    else:
        installTxt = "~"
else:
    installTxt = ''  
    

#读取【nginx -V】配置信息   nginxInfo=os.popen('`/www/server/nginx/sbin/nginx -V >%s` '%tmpPth).read()
islua = 1
if installTxt:
    ngxVersion="1.18"
    method = "update"
    if "update" not in installTxt: method="install"

    tmpPth = os.path.join('./','tmp.mfwaf.txt')
    with open(tmpPth,'w') as f:
        pub = subprocess.Popen(['/www/server/nginx/sbin/nginx','-V'], stdin=f, stdout=f, stderr=f)
        while pub.poll() is None: time.sleep(0.1)
        pub.communicate()
    nginxInfo=open(tmpPth).read()
    islua = 'lua_nginx_module' in nginxInfo
    os.remove(tmpPth)
    _ngxVer = re.search('nginx\sversion:.+(nginx|openresty)/(.+)', nginxInfo) #获取ngx版本
    if _ngxVer:
        if _ngxVer.group(1)=='openresty':
            ngxVersion = 'openresty'
            method = "install"
        else:
            ngxVersion=_ngxVer.group(2).strip().lower()
            if ngxVersion.count('.')>1:
                ngxVersions = ngxVersion.split('.')
                ngxVersion = "%s.%s"%(ngxVersions[0],ngxVersions[1])
                
    
    opath = os.path.join(pluginPth, 'nginx.%s'%ngxVersion)            
    #print(ngxVersion)
    if "nginx-python-module" in nginxInfo:
        #检测nginx-python-module模块是否存在【nginx -V】中,存在退出
        print("nginx-python-module is OK")
        print(nginxInfo)
        init_conf()
        if not os.path.isfile(opath):
            print(os.popen('cp -nf /www/server/nginx/sbin/nginx %s'%opath).read())
        sys.exit(0)
    elif os.path.isfile(opath):
        print(os.popen('service nginx stop').read())
        print(os.popen('cp -nf /www/server/nginx/sbin/nginx /www/server/nginx/sbin/nginx.mfwaf.old').read())
        os.popen('rm -rf /www/server/nginx/sbin/nginx')
        copy2(opath, '/www/server/nginx/sbin/nginx')
        os.popen('chmod -R 744 /www/server/nginx/sbin/nginx')
        print(os.popen('service nginx start').read())
        init_conf()
        print(os.popen('/www/server/nginx/sbin/nginx -V').read())
        sys.exit(0)
else:
    ngxVersion="1.18"
    method = "install"


def re_installTxt():
    
    p="(?P<k>[.]/configure\s.*)(\$\{ENABLE_LUA\})(?P<v>\s.*--add-module=)"
    s="${ENABLE_LUA} --add-module=/www/server/panel/plugin/mfngxwaf/nginx-python-module"
    def func(m):
        dms = m.groupdict()
        k = dms['k']
        v = dms['v']
        return k+s+v
    if re.search(p, installTxt):
        wfwafngxTxt = re.sub(p, func, installTxt)
        open(wfwafsh,'w').write(wfwafngxTxt)
        return 1
    else:
        copy2('/www/server/panel/plugin/mfngxwaf/mfngxwaf.sh', "/www/server/panel/install/mfngxwaf.sh")
    return 0

re_shTxt = re_installTxt()
print(re_shTxt)


islibgd = '/libgd.so' in os.popen('whereis libgd').read()
if islua:
    islua = '/lua' in os.popen('whereis lua').read()
    
def install_nginx():
    #使用ngx的install安装nginx-python-module模块
    if not islua or '--default' in sys.argv:
        cmd = "cd /root && bash /www/server/panel/install/nginx.sh %s %s"%(method, ngxVersion)
        print(os.popen(cmd).read())
        print(cmd)
    elif not islibgd:
        cmd = "cd /root && wget http://www.mufei.ltd/mfngxwaf/mfngxwaf2.sh && bash mfngxwaf2.sh %s %s"%(method, ngxVersion)
        print(os.popen(cmd).read())
        print(cmd)
    else:
        print(os.popen('chmod +x /www/server/panel/install/mfngxwaf.sh').read())
        pub = subprocess.Popen([wfwafsh, method, ngxVersion]) #mfngxwaf.sh(nginx.sh的修改版)安装
        while pub.poll() is None: time.sleep(0.1)
        pub.communicate()
    

try:
    install_nginx()
except: #缺少<Python.h>
    traceback.print_exc()
    time.sleep(0.5)
    if os.path.isfile('/www/server/nginx/sbin/nginx') and islua and islibgd:
        tmp = int(time.time())
        url  = 'http://www.mufei.ltd/download/nginx.1.16.1'
        ngx_sbin = '/www/server/nginx/sbin/nginx'
        copy2(ngx_sbin, '/www/server/panel/plugin/mfngxwaf/nginx.%s'%tmp)
        print(os.popen('service nginx stop').read())
        print(os.popen('wget %s -O %s'%(url,ngx_sbin)).read())
        print(os.popen('service nginx start').read())

    print('/www/server/nginx/sbin/nginx  error-in-mfngxwaf.update')
    

if not os.path.isfile('/www/server/nginx/sbin/nginx'):
    pub = subprocess.Popen([nginxsh, 'install', ngxVersion]) 
    while pub.poll() is None: time.sleep(0.1)
    pub.communicate()

init_conf()
copy2('/www/server/panel/plugin/mfngxwaf/mfngxwaf.conf', "/www/server/nginx/conf/mfngxwaf.conf")
copy2('/www/server/panel/plugin/mfngxwaf/captcha.png', "/www/server/nginx/mfwaf/conf/captcha.png")
if not os.path.isfile('/usr/bin/nginx'):
    os.popen('ln -s /www/server/nginx/sbin/nginx /usr/bin/nginx').read()
sys.exit(0) #退出


#rpm安装方法
#print(os.popen('yum -y install rpm-build').read())



def pythonModuleMake():
    try:
        import psutil
        cpu_count = psutil.cpu_count() or 1
    except:
        cpu_count = 1
    configure=re.search(r'configure\s+arguments\:\s+(.*)',nginxInfo)
    if configure:
        arguments = configure.group(1).split(' --') 
        arguments = ['--'+e for e in arguments]
        arguments.append('--add-module=/www/server/panel/plugin/mfngxwaf/nginx-python-module')
        cmd = ['./configure']+arguments
        pub = subprocess.Popen(cmd, cwd="/www/server/nginx/src")
        while pub.poll() is None: time.sleep(0.1)
        pub.communicate()

        pub = subprocess.Popen(['make', '-j%s'%cpu_count], cwd="/www/server/nginx/src")
        while pub.poll() is None: time.sleep(0.1)
        pub.communicate()

        print(os.popen('/etc/init.d/nginx stop').read())
        print(os.popen('cp -nf /www/server/nginx/sbin/nginx /www/server/nginx/sbin/nginx.mfwaf.bak').read())
        print(os.popen('cp -rfp /www/server/nginx/src/objs/nginx /www/server/nginx/sbin/nginx').read())
        print(os.popen('/etc/init.d/nginx start').read())
        print(os.popen('/www/server/nginx/sbin/nginx -V'))


#pythonModuleMake()


#if os.path.isdir('/www/server/nginx/src') and os.path.isfile('/www/server/nginx/src/configure'):
#    pythonModuleMake()
#else:
#    print(os.popen('chmod +x /www/server/panel/install/mfngxwaf.sh').read())
#    pub = subprocess.Popen([wfwafsh, 'update'])
#    while pub.poll() is None: time.sleep(0.1)
#    pub.communicate()
    
            








